On this page

## Methods

### (inner) fetch(publicKey, withAccountDataopt)

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`publicKey` | String |  |  | The public key of the release.
`withAccountData` | Boolean | <optional> | false | Fetch full on-chain Release account.

Source
  - resources/releases.js, line 27

Example

    const release = await NinaClient.Release.fetch("4dS4v5dGrUwEZmjCFu56qgyAmRfaPmns9PveWAw61rEQ");

### (inner) fetchAll Fetches all releases.(paginationopt, withAccountDataopt)

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`pagination` | Object | <optional> | {limit: 20, offset: 0, sort: 'desc'} | Pagination options.
`withAccountData` | Boolean | <optional> | false | Fetch full on-chain Release accounts.

Source
  - resources/releases.js, line 7

Example

    const releases = await NinaClient.Release.fetchAll();

### (inner) fetchCollectors(publicKey, withCollectionopt)

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`publicKey` | String |  |  | The public key of the release.
`withCollection` | Boolean | <optional> | false | Fetch collectors collections.

Source
  - resources/releases.js, line 37

Example

    const collectors = await NinaClient.Release.fetchCollectors("4dS4v5dGrUwEZmjCFu56qgyAmRfaPmns9PveWAw61rEQ");

### (inner) fetchExchanges(publicKey, withAccountDataopt)

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`publicKey` | String |  |  | The public key of the release.
`withAccountData` | Boolean | <optional> | false | Fetch full on-chain Exchange accounts.

Source
  - resources/releases.js, line 57

Example

    const exchanges = await NinaClient.Release.fetchExchanges("4dS4v5dGrUwEZmjCFu56qgyAmRfaPmns9PveWAw61rEQ");

### (inner) fetchHubs(publicKey, withAccountDataopt)

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`publicKey` | String |  |  | The public key of the release.
`withAccountData` | Boolean | <optional> | false | Fetch full on-chain Hub and HubRelease accounts.

Source
  - resources/releases.js, line 47

Example

    const hubs = await NinaClient.Release.fetchHubs("4dS4v5dGrUwEZmjCFu56qgyAmRfaPmns9PveWAw61rEQ");

### (inner) fetchRevenueShareRecipients(publicKey, withAccountDataopt)

Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`publicKey` | String |  |  | The public key of the release.
`withAccountData` | Boolean | <optional> | false | Fetch full on-chain Release accounts.

Source
  - resources/releases.js, line 67

Example

    const revenueShareRecipients = await NinaClient.Release.fetchRevenueShareRecipients("4dS4v5dGrUwEZmjCFu56qgyAmRfaPmns9PveWAw61rEQ");

Type anything to view search result